rte_compressdev_global(3)

NAME
rte_compressdev_global

SYNOPSIS

#include <rte_compressdev_pmd.h>

  Data Fields

struct rte_compressdev * devs
struct rte_compressdev_data * data [RTE_COMPRESS_MAX_DEVS]
uint8_t nb_devs
uint8_t max_devs

Detailed Description

Global structure used for maintaining state of allocated comp devices

Definition at line 45 of file rte_compressdev_pmd.h.

Field Documentation

  struct rte_compressdev* devs
Device information array

Definition at line 46 of file rte_compressdev_pmd.h.

  struct rte_compressdev_data* data[RTE_COMPRESS_MAX_DEVS]
Device private data

Definition at line 47 of file rte_compressdev_pmd.h.

  uint8_t nb_devs
Number of devices found

Definition at line 49 of file rte_compressdev_pmd.h.

  uint8_t max_devs
Max number of devices

Definition at line 50 of file rte_compressdev_pmd.h.

Author

Generated automatically by Doxygen for DPDK from the source code.